Calendars and Menus Graduation Dates Progress & Grade Reporting Summer School FY15 Employee Work Calendars
Board Policies Board Members Board District Maps Board Meeting Dates Board Meeting Agenda Board Meeting Packets Board Minutes Board Brief News Reports Strategic Plan Speak Up for Education Religious Liberties Discussion
School Profiles School Supplies School Choice-House Bill 251
Department Personnel Business & Finance Department Curriculum & Instruction Department Human Resources Department Organizational Effectiveness Department Information Systems Department Transportation School Nutrition Maintenance
Career Opportunities Employee Relations Professional Learning Employee Benefits
Back To School Toolkit Parent Involvement Parent Portal Online Register for School Student Handbook & Student Safety Student Records Requests Driver's Education (TAADRA) Educational Resources Google Apps for Education
Superintendent's Message Bulloch County Schools Data No Child Left Behind Accountability Standards Georgia Leadership Institute for School Improvement Pathways to Prosperity
Newsroom Press Releases News Archive FOCUS Annual Reports Community Engagement Key Issues
Home Page Logo
Portal Requirements

Infinite Campus Parent Portal
Computer Hardware Requirements

Computer Hardware Requirements
The following are the supported platforms for the Campus Portal. School districts may have additional requirements. Contact the district for additional information.

  • PC: Campus supports Windows Vista, XP, and 2000 Professional.
  • Macintosh: Campus supports Mac OS X and OS 9.2.2.
Platform Supported Minimums Recommended Minimums
PC Macintosh PC
Windows
PC
Vista*
Macintosh
Operating
System
Windows
2000 Pro
OS X
OS 9.2.2 (until 06/08)
2000 Pro or
XP
Vista OS X
Processor P3 G3 P4 1 GHz
32-bit
G4
RAM 256 256 512 1 GB 512
Internet
Browser
IE 6.0
Firefox 2.0.x
Safari 1.3.2 Camino 1.0
Firefox 2.0.0.6
IE 6.0
Firefox 2.0.x
IE 7 Safari 2.0.x
Camino 1.5.1
Firefox 2.0.0.7
Java Plug-in Java 1.5.10 Java 1.3.1
Apple Java
(MRJ 2.2.5 for OS 9.2.2)
Java 1.5.10 Java
1.5.10
Java 1.3.1
* Vista users: Please refer to Vista Disclaimer

Vista Disclaimer
Campus supports Vista with the following warning:

Users should be aware that operating Vista at or below the Microsoft minimum requirements is likely to cause performance issues with Campus reporting and application processes. Vista users should also be aware that third-party applications may significantly decrease the performance of web-based applications running in the IE 7 browser.

Campus recommends that Vista users exceed Microsoft’s minimum requirements and perform extensive performance testing within the Campus application to determine the proper hardware configuration needed for desired performance levels.